#ifndef XGFXPACKEDVERTEX_H
#define XGFXPACKEDVERTEX_H

#include "xasset.h"
#include "xgfxcolor.h"
#include "xpackedtexcoords.h"
#include "xpackedunitvec.h"

#include <QVector3D>

class XGfxPackedVertex : public XAsset
{
public:
    explicit XGfxPackedVertex();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector3D mXYZ;
    float mBinormalSign;
    XGfxColor mColor;
    XPackedTexCoords mTexCoord;
    XPackedUnitVec mNormal;
    XPackedUnitVec mTangent;
};

#endif // XGFXPACKEDVERTEX_H








